/*
 * Automaton.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Martin Zak
 */

#ifndef AUTOMATON_H_
#define AUTOMATON_H_

#include "../std/visitor.hpp"
#include "AutomatonBase.h"
#include "../common/wrapper.hpp"

#include "common/State.h"
#include <set>
#include <string>

namespace automaton {

/**
 * Wrapper around automata.
 */
typedef alib::wrapper<AutomatonBase> Automaton;

State createUniqueState(const State& base, const std::set<State>& other);

} /* namespace automaton */

#endif /* AUTOMATON_H_ */

