/*
 * Label.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#ifndef LABEL_H_
#define LABEL_H_

#include "../std/visitor.hpp"
#include "../common/wrapper.hpp"
#include "LabelBase.h"

namespace label {

/**
 * Wrapper around automata.
 */
typedef alib::wrapper<LabelBase> Label;

label::Label labelFrom(int number);
label::Label labelFrom(char character);
label::Label labelFrom(std::string string);

} /* namespace label */

#endif /* LABEL_H_ */

