#ifndef GRAMMAR_TEST_H_
#define GRAMMAR_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class GrammarTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( GrammarTest );
	CPPUNIT_TEST( testXMLParser );
	CPPUNIT_TEST( testUnrestrictedParser );
	CPPUNIT_TEST( testContextSensitiveParser );
	CPPUNIT_TEST( testContextFreeParser );
	CPPUNIT_TEST( testRegularParser );
	CPPUNIT_TEST( testStringParser );
	CPPUNIT_TEST_SUITE_END();

public:
	void setUp();
	void tearDown();

	void testXMLParser();
	void testUnrestrictedParser();
	void testContextSensitiveParser();
	void testContextFreeParser();
	void testRegularParser();
	void testStringParser();
};

#endif	// GRAMMAR_TEST_H_
