/*
 * Label.cpp
 *
 *  Created on: Apr 16, 2013
 *      Author: Martin Zak
 */

#include "Label.h"
#include "PrimitiveLabel.h"
#include "../primitive/Primitive.h"

namespace label {

label::Label labelFrom(int number) {
	return label::Label { label::PrimitiveLabel { primitive::primitiveFrom (number) } };
}

label::Label labelFrom(char character) {
	return label::Label { label::PrimitiveLabel { primitive::primitiveFrom ( character ) } };
}

label::Label labelFrom(std::string string) {
	return label::Label { label::PrimitiveLabel { primitive::primitiveFrom ( string ) } };
}

} /* namespace label */

