/*
 * Primitive.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#ifndef PRIMITIVE_H_
#define PRIMITIVE_H_

#include "../std/visitor.hpp"
#include "../common/wrapper.hpp"
#include "PrimitiveBase.h"

namespace primitive {

/**
 * Wrapper around primitive data types.
 */
typedef alib::wrapper<PrimitiveBase> Primitive;

Primitive primitiveFrom(int number);
Primitive primitiveFrom(char character);
Primitive primitiveFrom(std::string string);

} /* namespace primitive */

#endif /* PRIMITIVE_H_ */

