#ifndef REG_EXP_TEST_H_
#define REG_EXP_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class RegExpTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( RegExpTest );
	CPPUNIT_TEST( testCopyConstruct );
	CPPUNIT_TEST( testEqual );
	CPPUNIT_TEST( testXMLParser );
	CPPUNIT_TEST( testOrder );
	CPPUNIT_TEST( testOrder2 );
	CPPUNIT_TEST_SUITE_END();

public:
	void setUp();
	void tearDown();

	void testCopyConstruct();
	void testEqual();
	void testXMLParser();
	void testOrder();
	void testOrder2();
};

#endif	// REG_EXP_TEST_H_
